import type { BuildType, SelectiveOption, SelectiveSkipBuildType, SelectiveType } from '../types/bundlib-options';
import type { TypeCheckFunction } from '../types/helper-types';
import type { SelectiveResolved } from './object-based';
export declare type SelectiveResolvedBoolean<K extends string> = SelectiveResolved<K, boolean>;
export declare function resolveSelectiveOption<K extends BuildType, T, D>(value: SelectiveOption<SelectiveType<K>, T>, defaultValue: D, isValidValue: TypeCheckFunction<T>, allKeys: K[], optionName: string, urlHash?: string): SelectiveResolved<K, boolean | T | D>;
export declare function resolveSelectiveOption<K extends SelectiveSkipBuildType, T, D>(value: SelectiveOption<SelectiveType<K>, T>, defaultValue: D, isValidValue: TypeCheckFunction<T>, allKeys: K[], optionName: string, urlHash?: string): SelectiveResolved<K, boolean | T | D>;
export declare function resolveSelectiveOption<K extends string, T, D>(value: SelectiveOption<SelectiveType<K>, T>, defaultValue: D, isValidValue: TypeCheckFunction<T>, allKeys: K[], optionName: string, urlHash?: string): SelectiveResolved<K, boolean | T | D>;
