import type { IsExternal, Plugin, WarningHandlerWithDefault } from 'rollup';
import type { Nullable } from '../types/helper-types';
import type { BundlibRollupModuleOutputOptions, BundlibRollupOptions } from '../types/types';
export declare function createConfig<OutputOptions extends BundlibRollupModuleOutputOptions>(input: string, output: OutputOptions, external: IsExternal, plugins: Plugin[], onwarn: Nullable<WarningHandlerWithDefault>, chokidar: boolean): BundlibRollupOptions<OutputOptions>;
