export declare type Dictionary<T> = Record<string, T>;
export declare type StrictNullable<T> = T | null;
export declare type Nullable<T> = StrictNullable<T> | undefined | void;
export declare type IsInstalled = (id: string) => string | undefined | void;
export declare type TypeCheckFunction<T> = (value: unknown) => value is T;
export declare type TypeCastCheckFunction<T> = <X = T>(value: unknown) => value is X;
