import type { BundlibOptions } from './types/bundlib-options';
import type { Nullable, StrictNullable } from './types/helper-types';
interface LoadedOptions {
    config: Nullable<BundlibOptions>;
    filepath: StrictNullable<string>;
}
export declare function loadOptions(cwd: string, optionsFromPkgJson: BundlibOptions | string | null | undefined): Promise<LoadedOptions | null>;
export {};
