import type { BuildType, SelectiveSkipBuildType, SelectiveType } from '../types/bundlib-options';
import type { TypeCheckFunction } from '../types/helper-types';
import type { SelectiveResolved } from './object-based';
export declare function resolveTypeStringArray<K extends BuildType>(value: Array<SelectiveType<K>>, isBuildType: TypeCheckFunction<K>, allKeys: K[], invalid: TypeError): SelectiveResolved<K, boolean>;
export declare function resolveTypeStringArray<K extends SelectiveSkipBuildType>(value: Array<SelectiveType<K>>, isBuildType: TypeCheckFunction<K>, allKeys: K[], invalid: TypeError): SelectiveResolved<K, boolean>;
export declare function resolveTypeStringArray<K extends string>(value: Array<SelectiveType<K>>, isBuildType: TypeCheckFunction<K>, allKeys: K[], invalid: TypeError): SelectiveResolved<K, boolean>;
