import type { Dictionary } from '../types/helper-types';
export declare const keys: (<K extends string | number | symbol>(object: Partial<Record<K, unknown>>) => Array<K extends string ? K : string>);
export declare const hasOwn: (v: string | number | symbol) => boolean;
export declare function setProp<V>(name: string, value: V, target: Dictionary<V>): Dictionary<V>;
export declare function keysToObject<K extends string, V>(keys: K[], value: V): Record<K, V>;
export declare function keysToObject<K extends string, V, R extends Record<K, V>>(keys: K[], value: V, result: R): R;
