import type { Dictionary } from '../types/helper-types';
export declare function isNull(value: unknown): value is null | undefined;
export declare function isObject<T = unknown>(value: unknown): value is (Dictionary<T> | T[]);
export declare function isString(value: unknown): value is string;
export declare function isBool(value: unknown): value is boolean;
export declare const isArray: <T = unknown>(value: unknown) => value is T[];
export declare function isDictionary<T extends Dictionary<any> = Dictionary<unknown>>(value: unknown): value is T;
